de.vc.xml

## Class FileNodeElement

- java.lang.Object
- - de.vc.xml.FileNodeElement

- All Implemented Interfaces:
    NodeElement, java.io.Serializable, java.lang.Cloneable

      public class FileNodeElement
      extends java.lang.Object
      implements NodeElement

  If you want to include a xml-file in your xml-tree without building xml-object-tree of file you can use this node element. There is no syntax-analysis.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileNodeElement(java.io.File file)` Constructs a node element (or tree) that is stored in a file without building object-tree.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clones this element.
    `Node` | `getParent()` Gets the parent (owner) node of this element.
    `void` | `setParent(Node parent)` Sets the parent (owner) node of this element.
    `void` | `writeTo(XMLWriter writer)` Write element into xml...

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileNodeElement

          public FileNodeElement(java.io.File file)
                          throws java.io.FileNotFoundException

      Constructs a node element (or tree) that is stored in a file without building object-tree.
      Parameters:
        `file` - File
      Throws:
        `java.io.FileNotFoundException` - is thrown, if file doesn't exist.

  - ### Method Detail

    - #### writeTo

          public void writeTo(XMLWriter writer)

      Write element into xml...
      Specified by:
        `writeTo` in interface `NodeElement`
      Parameters:
        `writer` - XMLWriter.

    - #### setParent

          public void setParent(Node parent)

      Sets the parent (owner) node of this element.
      Specified by:
        `setParent` in interface `NodeElement`
      Parameters:
        `parent` - Parent.

    - #### getParent

          public Node getParent()

      Gets the parent (owner) node of this element.
      Specified by:
        `getParent` in interface `NodeElement`
      Returns:
        Parent node.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clones this element. Should return a deep copy!
      Specified by:
        `clone` in interface `NodeElement`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        Clone.
      Throws:
        `java.lang.CloneNotSupportedException`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.